org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.XImportDeclarationElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.XImportDeclarationElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.XImportDeclarationElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XImportDeclarationElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_2()`
    `org.eclipse.xtext.Keyword` | `getAsteriskKeyword_2_0_4()`
    `org.eclipse.xtext.Assignment` | `getExtensionAssignment_2_0_1()`
    `org.eclipse.xtext.Keyword` | `getExtensionExtensionKeyword_2_0_1_0()`
    `org.eclipse.xtext.Keyword` | `getFullStopKeyword_2_0_3()`
    `org.eclipse.xtext.Group` | `getGroup_2_0()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getImportedNamespaceAssignment_2_2()`
    `org.eclipse.xtext.RuleCall` | `getImportedNamespaceQualifiedNameWithWildcardParserRuleCall_2_2_0()`
    `org.eclipse.xtext.Assignment` | `getImportedTypeAssignment_2_0_2()`
    `org.eclipse.xtext.Assignment` | `getImportedTypeAssignment_2_1()`
    `org.eclipse.xtext.CrossReference` | `getImportedTypeJvmDeclaredTypeCrossReference_2_0_2_0()`
    `org.eclipse.xtext.CrossReference` | `getImportedTypeJvmDeclaredTypeCrossReference_2_1_0()`
    `org.eclipse.xtext.RuleCall` | `getImportedTypeJvmDeclaredTypeQualifiedNameParserRuleCall_2_0_2_0_1()`
    `org.eclipse.xtext.RuleCall` | `getImportedTypeJvmDeclaredTypeQualifiedNameParserRuleCall_2_1_0_1()`
    `org.eclipse.xtext.Keyword` | `getImportKeyword_0()`
    `org.eclipse.xtext.Keyword` | `getJavaKeyword_1()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getSemicolonKeyword_3()`
    `org.eclipse.xtext.Assignment` | `getStaticAssignment_2_0_0()`
    `org.eclipse.xtext.Keyword` | `getStaticStaticKeyword_2_0_0_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XImportDeclarationElements

          public XImportDeclarationElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getImportKeyword_0

          public org.eclipse.xtext.Keyword getImportKeyword_0()

    - #### getJavaKeyword_1

          public org.eclipse.xtext.Keyword getJavaKeyword_1()

    - #### getAlternatives_2

          public org.eclipse.xtext.Alternatives getAlternatives_2()

    - #### getGroup_2_0

          public org.eclipse.xtext.Group getGroup_2_0()

    - #### getStaticAssignment_2_0_0

          public org.eclipse.xtext.Assignment getStaticAssignment_2_0_0()

    - #### getStaticStaticKeyword_2_0_0_0

          public org.eclipse.xtext.Keyword getStaticStaticKeyword_2_0_0_0()

    - #### getExtensionAssignment_2_0_1

          public org.eclipse.xtext.Assignment getExtensionAssignment_2_0_1()

    - #### getExtensionExtensionKeyword_2_0_1_0

          public org.eclipse.xtext.Keyword getExtensionExtensionKeyword_2_0_1_0()

    - #### getImportedTypeAssignment_2_0_2

          public org.eclipse.xtext.Assignment getImportedTypeAssignment_2_0_2()

    - #### getImportedTypeJvmDeclaredTypeCrossReference_2_0_2_0

          public org.eclipse.xtext.CrossReference getImportedTypeJvmDeclaredTypeCrossReference_2_0_2_0()

    - #### getImportedTypeJvmDeclaredTypeQualifiedNameParserRuleCall_2_0_2_0_1

          public org.eclipse.xtext.RuleCall getImportedTypeJvmDeclaredTypeQualifiedNameParserRuleCall_2_0_2_0_1()

    - #### getFullStopKeyword_2_0_3

          public org.eclipse.xtext.Keyword getFullStopKeyword_2_0_3()

    - #### getAsteriskKeyword_2_0_4

          public org.eclipse.xtext.Keyword getAsteriskKeyword_2_0_4()

    - #### getImportedTypeAssignment_2_1

          public org.eclipse.xtext.Assignment getImportedTypeAssignment_2_1()

    - #### getImportedTypeJvmDeclaredTypeCrossReference_2_1_0

          public org.eclipse.xtext.CrossReference getImportedTypeJvmDeclaredTypeCrossReference_2_1_0()

    - #### getImportedTypeJvmDeclaredTypeQualifiedNameParserRuleCall_2_1_0_1

          public org.eclipse.xtext.RuleCall getImportedTypeJvmDeclaredTypeQualifiedNameParserRuleCall_2_1_0_1()

    - #### getImportedNamespaceAssignment_2_2

          public org.eclipse.xtext.Assignment getImportedNamespaceAssignment_2_2()

    - #### getImportedNamespaceQualifiedNameWithWildcardParserRuleCall_2_2_0

          public org.eclipse.xtext.RuleCall getImportedNamespaceQualifiedNameWithWildcardParserRuleCall_2_2_0()

    - #### getSemicolonKeyword_3

          public org.eclipse.xtext.Keyword getSemicolonKeyword_3()